Token registry (Platform Registry facade)
GET
/v1/asset/tokens
const url = 'https://api.parasta.io/v1/asset/tokens?include=restricted';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.parasta.io/v1/asset/tokens?include=restricted'Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” networkId
string
include
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
tokens
Array<object>
object
tokenId
string
symbol
string
name
string
decimals
integer
type
string
iconUrl
string
transferable
boolean
exchangeable
boolean
status
string
contracts
Array<object>
object
networkId
string
address
string
Example
{ "tokens": [ { "type": "ERC-20", "status": "listed" } ]}